/**
 * Criteria filters to fields.
 *
 * @param filters - Concatenated criteria filters.
 *
 * @public
 * @remarks
 * For filtering REQUEST_SERVER resources. Maps concatenated criteria filters from a grid to a request fields object,
 * eg: `foo == 'bar' && asd == 'zxc', into { foo: 'bar', asd: 'zxc' }`
 */
export declare function criteriaFiltersToFields(filters: string): Record<string, string>;
//# sourceMappingURL=criteriaFiltersToFields.d.ts.map